# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'^login/$', TenantLoginView.as_view()),
    url(r'^token_refresh/$', TenantRefreshTokenView.as_view()),
    url(r'^token_verify/$', TenantVerifyTokenView.as_view()),
    url(r'get_invoice_dict/$', InvoiceDataView.as_view()),

    url(r'^employee/', include('apps.tenant.employee.urls')),
    url(r'^option/', include('apps.tenant.option.urls')),
    # url(r'^config/', include('apps.tenant.config.urls')),
    url(r'^repair_order/', include('apps.tenant.repair_order.urls')),
    url(r'^inspection_order/', include('apps.tenant.inspection_order.urls')),
    url(r'^wxapp/', include('apps.wxapp.urls')),
    url(r'^device/', include('apps.tenant.device.urls')),
    url(r'^notices/', include('apps.tenant.notices.urls')),
    url(r'^poster/', include('apps.tenant.poster.urls')),
]


router = SimpleRouter()
router.register(r'invoice', InvoiceViewSet)
router.register(r'company', CompanyViewSet)
urlpatterns += router.urls
